[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Buttons' (#lcl)

# TCustomSpeedButton.UpdateState

Updates internal members used to track state changes in the control.

## Declaration

Source position: buttons.pp line 394

`protected procedure TCustomSpeedButton.UpdateState(`
`InvalidateOnChange: Boolean`
`); virtual;`

## Arguments

`InvalidateOnChange` |  | Indicates if the control is invalidated following a change in state.

## Description

UpdateState brings the state up to date, implementing any pending changes, and rendering non-valid if InvalidateOnChange is True.